Bug 199706 - NullPointerException at org.netbeans.modules.project.uiapi.ProjectCopyPanel.setProject
NullPointerException at org.netbeans.modules.project.uiapi.ProjectCopyPanel.s...
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
7.0.1
All All
: P3 (vote)
: 7.0.1
Assigned To: Jesse Glick
issues@projects
EXCEPTIONS_REPORT, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-26 17:04 UTC by dnikitin
Modified: 2011-09-26 13:37 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.81 KB, text/plain)
2011-06-26 17:04 UTC, dnikitin
Details
NPE at org.netbeans.modules.project.uiapi.ProjectCopyPanel.setProject(ProjectCopyPanel.java:345) (2.72 KB, text/plain)
2011-08-09 13:03 UTC, dnikitin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dnikitin 2011-06-26 17:04:52 UTC
Build: NetBeans IDE 7.0.1 RC1 (Build 201106202100)
VM: Java HotSpot(TM) 64-Bit Server VM, 19.0-b09, Java(TM) SE Runtime Environment, 1.6.0_23-b05
OS: Linux

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.project.uiapi.ProjectCopyPanel.setProject(ProjectCopyPanel.java:345)
   at org.netbeans.modules.project.uiapi.ProjectCopyPanel.<init>(ProjectCopyPanel.java:86)
   at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation.copyProject(DefaultProjectOperationsImplementation.java:229)
   at org.netbeans.spi.project.ui.support.DefaultProjectOperations.performDefaultCopyOperation(DefaultProjectOperations.java:111)
   at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeAction(MakeActionProvider.java:272)
   at org.netbeans.modules.project.ui.actions.ProjectAction.actionPerformed(ProjectAction.java:134)
Comment 1 dnikitin 2011-06-26 17:04:56 UTC
Created attachment 109113 [details]
stacktrace
Comment 2 dnikitin 2011-06-26 17:10:26 UTC
* open full remote project
* invoke Copy… via context menu => NPE
Comment 3 Jesse Glick 2011-06-27 23:09:51 UTC
core-main #e5c9c582a672
Comment 4 Quality Engineering 2011-06-28 14:05:30 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e5c9c582a672
User: Jesse Glick <jglick@netbeans.org>
Log: #199706: NullPointerException at org.netbeans.modules.project.uiapi.ProjectCopyPanel.setProject
Just disable smart prepopulation of "new location" field when project is remote.
Better would be to actually permit remote -> remote copy, but this would require a new UI.
Comment 5 dnikitin 2011-07-01 13:01:13 UTC
NPE also appears when you try to rename or move a remote project
Comment 6 dnikitin 2011-08-09 13:03:25 UTC
Created attachment 109886 [details]
NPE at org.netbeans.modules.project.uiapi.ProjectCopyPanel.setProject(ProjectCopyPanel.java:345)

"Copy ..." from context menu on full remote project caouses NPE
Comment 7 dnikitin 2011-08-09 13:05:08 UTC
Product Version: NetBeans IDE 7.0.1 (Build cnd-build-5694-on-20110809)
Java: 1.6.0_23; Java HotSpot(TM) 64-Bit Server VM 19.0-b09
System: Linux version 2.6.32-21-generic running on amd64; UTF-8; en_US (nb)
---------------------------------------
the bug is still reproduced in dev-build

I'll reopen the bug.
Comment 8 dnikitin 2011-08-10 11:51:48 UTC
Oops! 
Verified in dev-build NetBeans IDE Dev (Build cnd-build-trunk-279-on-20110810)
Comment 9 Alexander Simon 2011-08-15 10:38:57 UTC
Fix transplanted to release701_fixes on elif:
e5c9c582a672 transplanted to 5e8c5c8ad67d
Comment 10 dnikitin 2011-08-18 13:45:40 UTC
Product Version: NetBeans IDE 7.0.1 (Build oss-platform-build-22-on-20110818)
Java: 1.6.0_23; Java HotSpot(TM) 64-Bit Server VM 19.0-b09
------------------------------------------------------
to reproduce:
* open full remote project
* invoke Rename… via context menu => NPE

------------------------------------------

java.lang.NullPointerException
	at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation.computeError(DefaultProjectOperationsImplementation.java:691)
	at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation.computeError(DefaultProjectOperationsImplementation.java:686)
	at org.netbeans.modules.project.uiapi.DefaultProjectRenamePanel.computeError(DefaultProjectRenamePanel.java:311)
	at org.netbeans.modules.project.uiapi.DefaultProjectRenamePanel.validateDialog(DefaultProjectRenamePanel.java:294)
	at org.netbeans.modules.project.uiapi.DefaultProjectRenamePanel.<init>(DefaultProjectRenamePanel.java:85)
	at org.netbeans.modules.project.uiapi.DefaultProjectOperationsImplementation.renameProject(DefaultProjectOperationsImplementation.java:348)
	at org.netbeans.spi.project.ui.support.DefaultProjectOperations.performDefaultRenameOperation(DefaultProjectOperations.java:158)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeAction(MakeActionProvider.java:284)
	at org.netbeans.modules.project.ui.actions.ProjectAction.actionPerformed(ProjectAction.java:134)
	at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.actionPerformed(LookupSensitiveAction.java:170)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:809)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:850)
	at java.awt.Component.processMouseEvent(Component.java:6267)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6032)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4630)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
	at java.awt.Container.dispatchEventImpl(Container.java:2085)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4460)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 11 Alexander Simon 2011-08-19 05:43:48 UTC
Jesse,
please fix next NPE for full remote project in 701patch-candidate time.
The fist part of fix (e5c9c582a672) we are going to include in patch.
Comment 12 Jesse Glick 2011-08-19 15:18:21 UTC
(In reply to comment #9)
> Fix transplanted to release701_fixes on elif:
> e5c9c582a672 transplanted to 5e8c5c8ad67d

releases #5e8c5c8ad67d does not seem to exist; where did you transplant this? Why is the whiteboard not 701patch-fixed?

(In reply to comment #11)
> please fix next NPE

Please file a separate bug so we can keep track of what has and has not been fixed when. Do not reopen a bug unless the purported fix really did not fix the originally reported problem.
Comment 13 dnikitin 2011-08-19 17:57:59 UTC
separate bug201136  for "Rename..."
Comment 14 Alexander Simon 2011-08-22 06:55:05 UTC
(In reply to comment #12)
> (In reply to comment #9)
> > Fix transplanted to release701_fixes on elif:
> > e5c9c582a672 transplanted to 5e8c5c8ad67d
> 
> releases #5e8c5c8ad67d does not seem to exist; where did you transplant this?
> Why is the whiteboard not 701patch-fixed?
> 
CND team uses clone of releases branch release701_fixes on elif. See change set:
http://elif.russia.sun.com/hg/releases_elif/rev/5e8c5c8ad67d
CND will put all changes on releases branch release701_fixes after verifying bug on elif. Approximately it will be done at the end of this week.
Comment 15 dnikitin 2011-08-22 15:48:35 UTC
Verified in NetBeans IDE 7.0.1 (Build oss-platform-build-25-on-20110819)

the bug with "Copy ..." is fixed but with "Rename..." is still reproduced, see bug201136
Comment 16 Alexander Simon 2011-08-24 11:53:25 UTC
integrated in release701_fixes:
5e8c5c8ad67d transplanted to 286552072025
Comment 17 Quality Engineering 2011-08-25 04:24:33 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/286552072025
User: Jesse Glick <jglick@netbeans.org>
Log: #199706: NullPointerException at org.netbeans.modules.project.uiapi.ProjectCopyPanel.setProject
Just disable smart prepopulation of "new location" field when project is remote.
Better would be to actually permit remote -> remote copy, but this would require a new UI.
(transplanted from 5e8c5c8ad67da490e409097e8577068e90be7dba)
Comment 18 Quality Engineering 2011-09-26 13:37:23 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/5e8c5c8ad67d
User: Jesse Glick <jglick@netbeans.org>
Log: #199706: NullPointerException at org.netbeans.modules.project.uiapi.ProjectCopyPanel.setProject
Just disable smart prepopulation of "new location" field when project is remote.
Better would be to actually permit remote -> remote copy, but this would require a new UI.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo